NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::ElementRevolveBuilder Class Reference

Represents a NXOpen::CAE::ElementRevolveBuilder
To create a new instance of this class, use NXOpen::CAE::NodeElementManager::CreateElementRevolveBuilder

Created in NX5.0.0. More...

Inheritance diagram for NXOpen::CAE::ElementRevolveBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  AngleType { AngleTypePerCopy, AngleTypeTotal }
 the angle type - total or per copy More...
 
enum  ElemDimType { ElemDimTypeBeam, ElemDimTypeShell }
 Dimension of element to be created. More...
 
enum  NewMeshType { NewMeshTypeCreate, NewMeshTypeExisting }
 Option to create new mesh or add to existing mesh. More...
 

Public Member Functions

NXOpen::ExpressionAngle ()
 Returns the angle
Created in NX5.0.0. More...
 
NXOpen::CAE::ElementRevolveBuilder::AngleType AngleOption ()
 Returns the angle option
Created in NX5.0.0. More...
 
NXOpen::AxisAxis ()
 Returns the axis of revolution
Created in NX5.0.0. More...
 
NXString CollectorName ()
 Returns the mesh collector name
Created in NX5.0.0. More...
 
NXOpen::CAE::ElementRevolveBuilder::ElemDimType ElementDimensionOption ()
 Returns the elem dimension option
Created in NX5.0.0. More...
 
NXOpen::CAE::SelectElementsBuilderElements ()
 Returns the selected elements to be revolved
Created in NX5.0.0. More...
 
NXOpen::CAE::ElementTypeBuilderElementType ()
 Returns the element type builder. More...
 
bool ExportMesh ()
 Returns the option which indicates whether mesh is exported to solver or not. More...
 
int Increment ()
 Returns the increment
Created in NX5.0.0. More...
 
int Label ()
 Returns the label
Created in NX5.0.0. More...
 
NXString MeshName ()
 Returns the mesh name
Created in NX5.0.0. More...
 
NXString NeutralName ()
 Returns the element neutral name
Created in NX5.0.0. More...
 
NXOpen::CAE::ElementRevolveBuilder::NewMeshType NewMeshOption ()
 Returns the new mesh option
Created in NX5.0.0. More...
 
int NumberOfCopy ()
 Returns the number of copies
Created in NX5.0.0. More...
 
bool RetainCollector ()
 Returns the the flag which decides whether collectors are to be retained or not
Created in NX12.0.0. More...
 
void SetAngleOption (NXOpen::CAE::ElementRevolveBuilder::AngleType angleOption)
 Sets the angle option
Created in NX5.0.0. More...
 
void SetAxis (NXOpen::Axis *axis)
 Sets the axis of revolution
Created in NX5.0.0. More...
 
void SetCollectorName (const NXString &collectorName)
 Sets the mesh collector name
Created in NX5.0.0. More...
 
void SetCollectorName (const char *collectorName)
 Sets the mesh collector name
Created in NX5.0.0. More...
 
void SetElementDimensionOption (NXOpen::CAE::ElementRevolveBuilder::ElemDimType elementDimensionOption)
 Sets the elem dimension option
Created in NX5.0.0. More...
 
void SetExportMesh (bool fExportMesh)
 Sets the option which indicates whether mesh is exported to solver or not. More...
 
void SetIncrement (int increment)
 Sets the increment
Created in NX5.0.0. More...
 
void SetLabel (int label)
 Sets the label
Created in NX5.0.0. More...
 
void SetMeshName (const NXString &meshName)
 Sets the mesh name
Created in NX5.0.0. More...
 
void SetMeshName (const char *meshName)
 Sets the mesh name
Created in NX5.0.0. More...
 
void SetNeutralName (const NXString &neutralName)
 Sets the element neutral name
Created in NX5.0.0. More...
 
void SetNeutralName (const char *neutralName)
 Sets the element neutral name
Created in NX5.0.0. More...
 
void SetNewMeshOption (NXOpen::CAE::ElementRevolveBuilder::NewMeshType newMeshOption)
 Sets the new mesh option
Created in NX5.0.0. More...
 
void SetNumberOfCopy (int numberOfCopy)
 Sets the number of copies
Created in NX5.0.0. More...
 
void SetRetainCollector (bool isRetain)
 Sets the the flag which decides whether collectors are to be retained or not
Created in NX12.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::CAE::ElementRevolveBuilder
To create a new instance of this class, use NXOpen::CAE::NodeElementManager::CreateElementRevolveBuilder

Created in NX5.0.0.


Member Enumeration Documentation

the angle type - total or per copy

Enumerator
AngleTypePerCopy 

angle per copy

AngleTypeTotal 

total angle

Dimension of element to be created.

Enumerator
ElemDimTypeBeam 

beam

ElemDimTypeShell 

shell

Option to create new mesh or add to existing mesh.

Enumerator
NewMeshTypeCreate 

create new mesh

NewMeshTypeExisting 

add to existing mesh

Member Function Documentation

NXOpen::Expression* NXOpen::CAE::ElementRevolveBuilder::Angle ( )

Returns the angle
Created in NX5.0.0.



License requirements : None

NXOpen::CAE::ElementRevolveBuilder::AngleType NXOpen::CAE::ElementRevolveBuilder::AngleOption ( )

Returns the angle option
Created in NX5.0.0.



License requirements : None

NXOpen::Axis* NXOpen::CAE::ElementRevolveBuilder::Axis ( )

Returns the axis of revolution
Created in NX5.0.0.



License requirements : None

NXString NXOpen::CAE::ElementRevolveBuilder::CollectorName ( )

Returns the mesh collector name
Created in NX5.0.0.



License requirements : None

NXOpen::CAE::ElementRevolveBuilder::ElemDimType NXOpen::CAE::ElementRevolveBuilder::ElementDimensionOption ( )

Returns the elem dimension option
Created in NX5.0.0.



License requirements : None

NXOpen::CAE::SelectElementsBuilder* NXOpen::CAE::ElementRevolveBuilder::Elements ( )

Returns the selected elements to be revolved
Created in NX5.0.0.



License requirements : None

NXOpen::CAE::ElementTypeBuilder* NXOpen::CAE::ElementRevolveBuilder::ElementType ( )

Returns the element type builder.


Created in NX6.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

bool NXOpen::CAE::ElementRevolveBuilder::ExportMesh ( )

Returns the option which indicates whether mesh is exported to solver or not.


Created in NX10.0.0.

License requirements : None

int NXOpen::CAE::ElementRevolveBuilder::Increment ( )

Returns the increment
Created in NX5.0.0.



License requirements : None

int NXOpen::CAE::ElementRevolveBuilder::Label ( )

Returns the label
Created in NX5.0.0.



License requirements : None

NXString NXOpen::CAE::ElementRevolveBuilder::MeshName ( )

Returns the mesh name
Created in NX5.0.0.



License requirements : None

NXString NXOpen::CAE::ElementRevolveBuilder::NeutralName ( )

Returns the element neutral name
Created in NX5.0.0.



License requirements : None

NXOpen::CAE::ElementRevolveBuilder::NewMeshType NXOpen::CAE::ElementRevolveBuilder::NewMeshOption ( )

Returns the new mesh option
Created in NX5.0.0.



License requirements : None

int NXOpen::CAE::ElementRevolveBuilder::NumberOfCopy ( )

Returns the number of copies
Created in NX5.0.0.



License requirements : None

bool NXOpen::CAE::ElementRevolveBuilder::RetainCollector ( )

Returns the the flag which decides whether collectors are to be retained or not
Created in NX12.0.0.



License requirements : None

void NXOpen::CAE::ElementRevolveBuilder::SetAngleOption ( NXOpen::CAE::ElementRevolveBuilder::AngleType  angleOption)

Sets the angle option
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
angleOptionangleoption
void NXOpen::CAE::ElementRevolveBuilder::SetAxis ( NXOpen::Axis axis)

Sets the axis of revolution
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
axisaxis
void NXOpen::CAE::ElementRevolveBuilder::SetCollectorName ( const NXString collectorName)

Sets the mesh collector name
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
collectorNamecollectorname
void NXOpen::CAE::ElementRevolveBuilder::SetCollectorName ( const char *  collectorName)

Sets the mesh collector name
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
collectorNamecollectorname
void NXOpen::CAE::ElementRevolveBuilder::SetElementDimensionOption ( NXOpen::CAE::ElementRevolveBuilder::ElemDimType  elementDimensionOption)

Sets the elem dimension option
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
elementDimensionOptionelementdimensionoption
void NXOpen::CAE::ElementRevolveBuilder::SetExportMesh ( bool  fExportMesh)

Sets the option which indicates whether mesh is exported to solver or not.


Created in NX10.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
fExportMeshfexportmesh
void NXOpen::CAE::ElementRevolveBuilder::SetIncrement ( int  increment)

Sets the increment
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
incrementincrement
void NXOpen::CAE::ElementRevolveBuilder::SetLabel ( int  label)

Sets the label
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
labellabel
void NXOpen::CAE::ElementRevolveBuilder::SetMeshName ( const NXString meshName)

Sets the mesh name
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
meshNamemeshname
void NXOpen::CAE::ElementRevolveBuilder::SetMeshName ( const char *  meshName)

Sets the mesh name
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
meshNamemeshname
void NXOpen::CAE::ElementRevolveBuilder::SetNeutralName ( const NXString neutralName)

Sets the element neutral name
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
neutralNameneutralname
void NXOpen::CAE::ElementRevolveBuilder::SetNeutralName ( const char *  neutralName)

Sets the element neutral name
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
neutralNameneutralname
void NXOpen::CAE::ElementRevolveBuilder::SetNewMeshOption ( NXOpen::CAE::ElementRevolveBuilder::NewMeshType  newMeshOption)

Sets the new mesh option
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
newMeshOptionnewmeshoption
void NXOpen::CAE::ElementRevolveBuilder::SetNumberOfCopy ( int  numberOfCopy)

Sets the number of copies
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
numberOfCopynumberofcopy
void NXOpen::CAE::ElementRevolveBuilder::SetRetainCollector ( bool  isRetain)

Sets the the flag which decides whether collectors are to be retained or not
Created in NX12.0.0.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
isRetainisretain

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.